Home | All Classes | Grouped Classes | Index | Search

# Class CL_CrashReporter

Crash reporting tool. More...

Derived from: none
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

Construction:

CL_CrashReporter |

Attributes:

get_dump_to_file | Returns the flag indicating if it will dump the callstack to file.
set_dump_to_file | If enabled, will dump the callstack to file before emitting sig_crash.

Operations:

sig_crash | Signal emitted when fatal errors are caught.

Detailed description:

!group=Core/System! !header=core.h!

Constructing an instance of this class in a thread will cause any fatal errors (ie. segmentation faults) to be caught and handled by the crash reporter. It will then dump the callstack to file and then afterwards emit sig_crash.

Questions or comments, write to the ClanLib mailing list.